dnl divert(-1)
#---------------------------------------------------------------------
#
# this is the .mc file for a linux host that's set up as follows:
#
#       - connected to Internet for outbound mail (ppp here)
#       - connected through POP for incoming mail
#       - domainized headers
#       - no local mailer (use 'mail.local' instead)
#       - no DNS running so don't canonicalize outgoing via DNS
#       - all non-local outbound mail goes to the RELAY_HOST over smtp
#   (we run ppp and let our service provider do the work)
#
#       davidm Fri Aug  4 19:51:40 1995
#
# Please adapt this file to match your environment, then run
# "m4 <hostname>.mc >/etc/sendmail.cf".
#
#---------------------------------------------------------------------
include(`../m4/cf.m4')
VERSIONID(`linux nodns relays to PPP service provider smarthost')dnl
CwYourHostName.YourDomain YourHostname.UUCP localhost
OSTYPE(linux)
FEATURE(nodns)dnl
FEATURE(always_add_domain)dnl
FEATURE(redirect)
FEATURE(nocanonify)
define(`MASQUERADE_NAME', YourDomain)dnl
dnl MAILER(local)dnl
MAILER(smtp)dnl
MAILER(uucp)dnl
define(`RELAY_HOST', smtp:YourPPPMailHost)
define(`SMART_HOST', smtp:YourPPPMailHost)
define(`UUCP_RELAY', smtp:YourPPPMailHost)
define(`LOCAL_MAILER_PATH', `/bin/mail.local')
define(`LOCAL_MAILER_ARGS', `mail.local $u')
